## gpe-shield 0.31

=== Makefile ===
PACKAGE = gpe-shield
VERSION = 0.31
NATIVE = yes
CVSBUILD = no
DEBUG = no
INSTALL = install
STRIP = strip
PREFIX = /usr/local
DESTDIR = /
MACHINE = other

LINGUAS = 


ifeq ($(MACHINE),ipaq)
PACKAGE_CPPFLAGS += -DMACH_IPAQ
PACKAGE_CFLAGS += -DMACH_IPAQ
endif

ifeq ($(MACHINE),simpad)
PACKAGE_CPPFLAGS += -DMACH_SIMPAD
PACKAGE_CFLAGS += -DMACH_SIMPAD
endif

EXTRA_DESKTOPS = gpe-shield.desktop.in 
HELPFILE = gpe-shield.html

GTKCFLAGS = `pkg-config --cflags gtk+-2.0 gdk-2.0`
GTKLDFLAGS = `pkg-config --libs gtk+-2.0 gdk-2.0`

ifeq ($(CVSBUILD),yes)
PACKAGE_LDFLAGS += -L../libgpewidget -L.
PACKAGE_CFLAGS += -I../libgpewidget -I.
BUILD = ../build
else
BUILD = build
endif

PACKAGE_CPPFLAGS = $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GTKCFLAGS) $(GPECFLAGS)
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS) $(GTKLDFLAGS)


MEMBERS  = main interface backend editrule

ifeq ($(DEBUG),yes)
PACKAGE_CFLAGS += -g -DDEBUG
else
PACKAGE_CFLAGS += -Os -fomit-frame-pointer
endif

PACKAGE_CFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -D_GNU_SOURCE
PACKAGE_CFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))


PIXMAPS = gpe-shield.png

all: $(PACKAGE) 

$(PACKAGE): $(OBJS)
	$(CC) -g -o $@ $(OBJS) $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: $(PACKAGE) all-desktop
	mkdir -p $(DESTDIR)/CONTROL
	sed -e s/VERSION/$(VERSION)/ < familiar/control > $(DESTDIR)/CONTROL/control
	mkdir -p $(DESTDIR)/etc/gpe
#	touch $(DESTDIR)/etc/gpe/gpe-shield-load
	mkdir -p $(DESTDIR)/$(PREFIX)/bin
	$(INSTALL) -m 4755 $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	$(STRIP) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	$(INSTALL) -m 755 ipshield $(DESTDIR)/etc/init.d/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	for i in $(PIXMAPS); do install -m 644 -D pixmaps/$$i $(DESTDIR)$(PREFIX)/share/pixmaps/$$i; done
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -m 644 *.desktop $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/gpe
	$(INSTALL) -m 644 $(HELPFILE) $(DESTDIR)$(PREFIX)/share/doc/gpe/

clean:
	rm -f $(PACKAGE) $(OBJS) *~ */*~ *.ipk *.o

include $(BUILD)/Makefile.dpkg_ipkg
include $(BUILD)/Makefile.translation

=== debian/changelog ===
gpe-shield (0.31-4) unstable; urgency=low

  * Add missing stop to init.d script (lintian)
  * point copyright at versioned GPL-2 instead of symlink.
  * Add VCS fields for pkg-gpe. Update standards version.
  * Migrate to source format 3.0 (quilt) and replace gpe-shield init
    with patch to upstream init file.
  * Add  to gpe-shield init to load /usr/bin (lintian warning)

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Mar 2010 09:41:03 +0000

gpe-shield (0.31-3) unstable; urgency=low

  * wrong iptables location in init script - break install and removal
    (Closes: #454114)

 -- Neil Williams <codehelp@debian.org>  Wed, 05 Dec 2007 22:46:45 +0000

gpe-shield (0.31-2) unstable; urgency=low

  * Migrate to unstable alongside dependencies.
  * Add Debian GPE team to uploaders
  * Add cross build support

 -- Neil Williams <codehelp@debian.org>  Thu, 29 Nov 2007 08:02:07 +0000

gpe-shield (0.31-1) experimental; urgency=low

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Sun, 09 Sep 2007 20:06:48 +0100

gpe-shield (0.9-1) experimental; urgency=low

  * Initial release. (Closes: #404385: ITP: gpe-shield -- firewall
    configuration for GPE - Debian Bug report logs)
  * Upload to experimental due to dependencies.

 -- Neil Williams <codehelp@debian.org>  Sun, 24 Dec 2006 16:04:56 +0000

=== debian/control ===
Source: gpe-shield
Section: utils
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), libgpewidget-dev, libgtk2.0-dev,
 intltool, libglib2.0-dev
Standards-Version: 3.8.4
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/gpe-shield/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/gpe-shield/trunk/

Package: gpe-shield
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpe-su, iptables
Description: firewall configuration for GPE
 Gpe-shield is a frontend for the iptables network 
 packet filter for the GPE Palmtop Environment.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
DEB_MAKE_ENVVARS=CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/gpe-shield/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://gpe.linuxtogo.org/download/source/gpe-shield-(.*)\.tar\.gz
